
From: Kevin Corry <kevcorry@us.ibm.com>



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-io.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/md/dm-io.c~dm-cache-flushing-fix drivers/md/dm-io.c
--- 25/drivers/md/dm-io.c~dm-cache-flushing-fix	Wed Jun  2 14:55:51 2004
+++ 25-akpm/drivers/md/dm-io.c	Wed Jun  2 14:55:51 2004
@@ -341,7 +341,8 @@ static void zero_fill_bio(struct bio *bi
 	bio_for_each_segment(bv, bio, i) {
 		char *data = bvec_kmap_irq(bv, &flags);
 		memset(data, 0, bv->bv_len);
-		bvec_kunmap_irq(bv, &flags);
+		flush_dcache_page(bv->bv_page);
+		bvec_kunmap_irq(data, &flags);
 	}
 }
 
_
